= nng_tls_engine_fips_mode(3tls)
//
// Copyright 2020 Staysail Systems, Inc. <info@staysail.tech>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_tls_engine_fips_mode - TLS FIPS 140-2 mode indicator

== SYNOPSIS

[source,c]
----
#include <nng/supplemental/tls/tls.h>

bool nng_tls_engine_fips_mode(void);
----

== DESCRIPTION

The `nng_tls_engine_fips_mode()` returns `true` if the
xref:nng_tls_engine.5.adoc[TLS engine] is operating in FIPS 140-2 mode,
and `false` otherwise.

TIP: FIPS 140-2 references a United States standard for the use
of cryptography in information processing systems.

TIP: The default TLS engine does not support FIPS 140-2 mode, and
will always return false.  Alternative implementations with such
support may be available from commercial suppliers.

NOTE: Generally the FIPS 140-2 mode cannot be changed after program startup.

== RETURN VALUES

True if the TLS engine is in FIPS 140-2 mode, false otherwise.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_tls_engine.5.adoc[nng_tls_engine(5)],
xref:nng.7.adoc[nng(7)]
